Get a scrape log
curl --request GET \
--url https://api.spidra.io/api/scrape-logs/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/scrape-logs/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/scrape-logs/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/scrape-logs/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/scrape-logs/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/scrape-logs/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/scrape-logs/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uuid": "6fba5c8e-22f5-40f7-a335-9f7c20faa799",
"status": "success",
"started_at": "2026-10-25T04:16:33.000Z",
"finished_at": "2026-10-25T04:16:38.000Z",
"error_message": "",
"urls": [
{
"url": "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html",
"actions": []
}
],
"extraction_prompt": null,
"input_tokens": 0,
"output_tokens": 0,
"tokens_used": 0,
"captcha_solved_count": 0,
"scraped_sites_count": 1,
"ai_output_format": "markdown",
"latency_ms": 5747,
"credits_used": 1,
"use_proxy": 0,
"proxy_country": null,
"scrape_mode": "default",
"extract_content_only": 0,
"schema_json": null,
"screenshot": 0,
"full_page_screenshot": 0,
"page_title": "A Light in the Attic | Books to Scrape - Sandbox",
"result_data": "[Books to Scrape](../../index.html) We love being scraped! \n\n* [Home](../../index.html)\n* [Books](../category/books%5F1/index.html)\n..."
}
}
Logs
Get a scrape log
Returns one past scrape with its settings, cost and result. Use it to get a result after the scrape job has expired from Get a scrape.
GET
/
scrape-logs
/
{uuid}
Get a scrape log
curl --request GET \
--url https://api.spidra.io/api/scrape-logs/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/scrape-logs/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/scrape-logs/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/scrape-logs/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/scrape-logs/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/scrape-logs/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/scrape-logs/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"uuid": "6fba5c8e-22f5-40f7-a335-9f7c20faa799",
"status": "success",
"started_at": "2026-10-25T04:16:33.000Z",
"finished_at": "2026-10-25T04:16:38.000Z",
"error_message": "",
"urls": [
{
"url": "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html",
"actions": []
}
],
"extraction_prompt": null,
"input_tokens": 0,
"output_tokens": 0,
"tokens_used": 0,
"captcha_solved_count": 0,
"scraped_sites_count": 1,
"ai_output_format": "markdown",
"latency_ms": 5747,
"credits_used": 1,
"use_proxy": 0,
"proxy_country": null,
"scrape_mode": "default",
"extract_content_only": 0,
"schema_json": null,
"screenshot": 0,
"full_page_screenshot": 0,
"page_title": "A Light in the Attic | Books to Scrape - Sandbox",
"result_data": "[Books to Scrape](../../index.html) We love being scraped! \n\n* [Home](../../index.html)\n* [Books](../category/books%5F1/index.html)\n..."
}
}
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The log's uuid from List scrape logs. Not the scrape's jobId.
Was this page helpful?

